Subject: Re: running gnu-win32 tools under another Unix-ported shell?
From: [email-masked] (Scott Blachowicz)

15 Jan 1998 03:29:51 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: Tony Pires <[email-masked]>
Cc: [email-masked]

> How does wildcarding (globbing) work?
> =====================================
> 
>    If an application using CYGWIN.DLL starts up, and can't find the
> `PID' environment variable, it assumes that it has been started from
> the a DOS style command prompt.  This is pretty safe, since the rest of
> the tools (including bash) set PID so that a new process knows what PID
> it has when it starts up.

Unfortunately, it uses it for something...when I just set that variable, I
get this:

    (j:)common/apputils2> export PID=1
    (j:)common/apputils2> find . -name '*.cpp'
    (unknown) In cygwin_except_handler
    (unknown) Exception trapped!
    (unknown) exception C0000005 at 10018910
    (unknown) exception: ax 0 bx 1 cx 144 dx 64
    (unknown) exception: si 240FA28 di 0 bp 240FA3C sp 240FA18
    (unknown) exception is: STATUS_ACCESS_VIOLATION
    (unknown) Stack trace:
    (unknown) frame 0: sp = 0x240F84C, pc = 0x1000CEC2
    (unknown) frame 1: sp = 0x240F868, pc = 0x77F94512
    (unknown) frame 2: sp = 0x240F88C, pc = 0x77F88EEB
    (unknown) frame 3: sp = 0x240F918, pc = 0x77F76266
    (unknown) frame 4: sp = 0x240FA3C, pc = 0x1000BBED
    (unknown) frame 5: sp = 0x240FF94, pc = 0x1000C113
    (unknown) frame 6: sp = 0x240FFA0, pc = 0x40C1C1
    (unknown) frame 7: sp = 0x240FFB0, pc = 0x40103B
    (unknown) frame 8: sp = 0x240FFC0, pc = 0x77F1B304
    (unknown) frame 9: sp = 0x240FFF0, pc = 0x0
    (unknown) End of stack trace
    (unknown) In cygwin_except_handler
    (unknown) Error while dumping state (probably corrupted stack)
    (unknown) In cygwin_except_handler
    (unknown) Error while dumping state (probably corrupted stack)

I get the same results if I set that PID to the '$$' value of my zsh
shell.  Maybe it's time to go dig up some sources and see what's going on?
-- 
Scott Blachowicz                <[email-masked]>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".